Skip to main content
GET
/
crm
/
v3
/
limits
/
associations
/
records
/
{fromObjectTypeId}
/
{toObjectTypeId}
Read record association limits between two objects
curl --request GET \
  --url https://api.hubapi.com/crm/v3/limits/associations/records/{fromObjectTypeId}/{toObjectTypeId} \
  --header 'Authorization: Bearer <token>'
{
  "atLimitFromRecordSamples": [
    {
      "label": "<string>",
      "objectId": 123
    }
  ],
  "limit": 123,
  "nearLimitFromRecordSamples": [
    {
      "label": "<string>",
      "objectId": 123,
      "percentage": 123,
      "usage": 123
    }
  ],
  "totalRecordsAtLimit": 123,
  "totalRecordsNearLimit": 123
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fromObjectTypeId
string
required
toObjectTypeId
string
required

Response

successful operation

atLimitFromRecordSamples
object[]
required
limit
integer<int64>
required

The maximum number of associations allowed for records.

nearLimitFromRecordSamples
object[]
required
totalRecordsAtLimit
integer<int32>
required

The total number of records that have reached their association limit.

totalRecordsNearLimit
integer<int32>
required

The total number of records that are approaching their association limit.

Last modified on February 12, 2026